import { defineStore } from 'pinia'

export const useChatStore = defineStore('chat', {
  state: () => ({
    chats: []
  }),

  actions: {
    addChat(chat) {
      const existingChat = this.chats.find(c => c.chatId === chat.chatId)
      if (!existingChat) {
        this.chats.unshift(chat)
      }
    },

    updateChat(updatedChat) {
      const index = this.chats.findIndex(chat => chat.chatId === updatedChat.chatId)
      if (index !== -1) {
        this.chats[index] = updatedChat
      } else {
        this.chats.unshift(updatedChat)
      }
    }
  }
})